org.apache.ignite.internal.processors.cache.distributed.dht.topology

## Class GridDhtInvalidPartitionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.internal.processors.cache.distributed.dht.topology.GridDhtInvalidPartitionException

All Implemented Interfaces:
  Serializable

    public class GridDhtInvalidPartitionException
    extends RuntimeException

Exception thrown whenever entry is created for invalid partition.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridDhtInvalidPartitionException(int part, String msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `partition()`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtInvalidPartitionException

    public GridDhtInvalidPartitionException(int part,
                                            String msg)

Parameters:
  `part` - Partition.
  `msg` - Message.

### Method Detail

#### partition

    public int partition()

Returns:
  Partition.

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019